{{ ansible_managed | comment }}

<worker 0>
  ## source: system logs (auth)
  <source>
    @type tail
    tag system.auth
    path /var/log/auth.log
    pos_file /var/log/td-agent/auth.log.pos
    <parse>
      @type syslog
    </parse>
  </source>

  ## source: system logs (syslog)
  <source>
    @type tail
    tag system.syslog
    path /var/log/syslog
    pos_file /var/log/td-agent/syslog.pos
    <parse>
      @type syslog
    </parse>
  </source>

  ## source: kernel logs (kern.log)
  <source>
    @type tail
    tag system.kern
    path /var/log/kern.log
    pos_file /var/log/td-agent/kern.pos
    <parse>
      @type syslog
    </parse>
  </source>
</worker>

## Enable Prometheus metrics
<source>
  @type prometheus
</source>

## Expose Prometheus metrics for internal stats
<source>
  @type prometheus_monitor
</source>

## Expose Prometheus metrics for output stats
<source>
  @type prometheus_output_monitor
</source>

## Expose Prometheus metrics for all @tail sources
<source>
  @type prometheus_tail_monitor
</source>

## filter: set environment and hostname
<filter system.*>
  @type record_transformer
  <record>
{% include "./templates/default_record_attributes.conf.j2" %}

  </record>
</filter>

## include: modular configurations
@include conf.d/*.conf

<match system.*>
  @type copy
{% include "./templates/stackdriver.conf.j2" %}

  <store>
    @type gcloud_pubsub
    topic pubsub-system-inf-{{ env }}
    project {{ project_name }}
  </store>

  @include ../prometheus-mixin.conf
</match>
